{
  "name": "api_tool",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "main": "dist-electron/main.js",
  "scripts": {
    "dev": "npm-run-all --parallel dev:svelte dev:electron",
    "dev:svelte": "vite",
    "dev:electron": "npm run transpile:electron; cross-env NODE_ENV=development electron .",
    "build": "vite build",
    "preview": "vite preview",
    "check": "svelte-check --tsconfig ./tsconfig.app.json && tsc -p tsconfig.node.json",
    "transpile:electron": "tsc --project src/electron/tsconfig.json",
    "dist:mac": "npm run transpile:electron && npm run build && electron-builder --mac --arm64",
    "dist:win": "npm run transpile:electron && npm run build && electron-builder --win --x64",
    "dist:linux": "npm run transpile:electron && npm run build && electron-builder --linux --x64"
  },
  "devDependencies": {
    "@sveltejs/vite-plugin-svelte": "^5.0.3",
    "@tsconfig/svelte": "^5.0.4",
    "cross-env": "^7.0.3",
    "electron": "^36.2.1",
    "electron-builder": "^26.0.12",
    "npm-run-all": "^4.1.5",
    "svelte": "^5.28.1",
    "svelte-check": "^4.1.6",
    "typescript": "~5.8.3",
    "vite": "^6.3.5"
  },
  "dependencies": {
    "@prodress/pdr2com": "^1.0.1"
  }
}
